#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);

    long long i,j,m,e=0,n;

    cin>>m;
    m++;
    vector<long long> r(m);
    vector<long long> r1(m);
    vector<long long> x(m);
    vector<long long> y(m);
     for(i=1;i<m;i++){
        r[m]=0;
        r1[i]=0;

     }

    for(i=1;i<m;i++){
        cin>>x[i]>>y[i];
        r1[i]=0;



        for(e=1;e<=i;e++){
        for(n=1;n<=i;n++){
            r1[i]=0;


            for(j=1;j<=i;j++){
                r1[i]=r1[i]+(abs(x[j]-e)*abs(y[j]-n));
            }

            if(r1[i]>r[i])r[i]=r1[i];
        }
        }

    }


    for(i=1;i<m;i++){
        cout<<r[i]<<endl;
    }
    return 0;
}